Subject: bug#11369: 2 test failures in Automake-1.12

From: Matt Burgess <[email-masked]>
Date: Sat, 28 Apr 2012 21:27:08 +0100

On Sat, 2012-04-28 at 21:57 +0200, Stefano Lattarini wrote:

> What system are you on exactly?

I've reproduced this on a Fedora 16 x86_64 host.

> Please send us the contents of the
> 't/get-sysconf.log' file, that should report all the relevant (to
> us) information and details about your system.

OK, attached.

> Also, what happens if you do this on your system?
> 
>   $ echo x > foo
>   $ chmod a-w foo
>   $ test ! -w foo || echo still writable
>   $ (echo y > foo) && echo can write to unwritable
>   $ cat foo

As root I see:

# echo x > foo
# chmod a-w foo
# test ! -w foo || echo still writable
still writable
# (echo y > foo) && echo can write to unwritable
can write to unwritable
# cat foo
y

As a regular user, I see:

$ echo x > foo
$ chmod a-w foo
$ test ! -w foo || echo still writable
$ (echo y > foo) && echo can write to unwritable
bash: foo: Permission denied
$ cat foo
x

This is as I'd expect, as root can always write to a file, regardless of
permissions.  Due to our particular build environment, automake is built
and tested as the root user in a chroot environment.

Regards,

Matt.